org.eclipse.graphiti

## Interface IDescription

All Known Subinterfaces:
  IAddBendpointFeature, IAddFeature, ICommand, ICopyFeature, ICreateConnectionFeature, ICreateFeature, ICustomFeature, IDeleteFeature, IDirectEditingFeature, IFeature, ILayoutFeature, IMoveAnchorFeature, IMoveBendpointFeature, IMoveConnectionDecoratorFeature, IMoveFeature, IMoveShapeFeature, IPasteFeature, IPrintFeature, IReconnectionFeature, IRemoveBendpointFeature, IRemoveFeature, IResizeFeature, IResizeShapeFeature, ISaveImageFeature, IUpdateFeature

All Known Implementing Classes:
  AbstractAddFeature, AbstractAddPictogramElementFeature, AbstractAddShapeFeature, AbstractAsynchronousCustomFeature, AbstractCopyFeature, AbstractCreateConnectionFeature, AbstractCreateFeature, AbstractCustomFeature, AbstractDirectEditingFeature, AbstractDrillDownFeature, AbstractFeature, AbstractLayoutFeature, AbstractMoveShapeFeature, AbstractPasteFeature, AbstractPrintFeature, AbstractSaveImageFeature, AbstractUpdateFeature, AddFeatureCommandWithContext, AddFeatureForPattern, CommandContainer, CreateConnectionFeatureForPattern, CreateFeatureForPattern, DebugFeature, DefaultAddBendpointFeature, DefaultDeleteFeature, DefaultMoveAnchorFeature, DefaultMoveBendpointFeature, DefaultMoveConnectionDecoratorFeature, DefaultMoveShapeFeature, DefaultPrintFeature, DefaultReconnectionFeature, DefaultRemoveBendpointFeature, DefaultRemoveFeature, DefaultResizeShapeFeature, DefaultSaveImageFeature, DefaultUpdateDiagramFeature, DeleteFeatureForPattern, DirectEditingFeatureCommandWithContext, DirectEditingFeatureForPattern, FeatureCommand, FeatureCommandWithContext, GenericFeatureCommandWithContext, GFOnEmfCommand, LayoutFeatureForPattern, MoveAnchorFeatureCommandWithContext, MoveShapeFeatureCommandWithContext, MoveShapeFeatureForPattern, ReconnectionFeatureForPattern, RemoveFeatureForPattern, ResizeShapeFeatureCommandWithContext, ResizeShapeFeatureForPattern, UpdateFeatureForPattern, UpdateNoBoFeature

    public interface IDescription

The Interface IDescription. Allows to provide a general explanatory text for any object.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getDescription()` Gets the description.

### Method Detail

#### getDescription

    java.lang.String getDescription()

Gets the description.

Returns:
  the description